summaryrefslogtreecommitdiff
path: root/src/portal/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'src/portal/scripts')
-rwxr-xr-xsrc/portal/scripts/create_vendor.sh2
-rwxr-xr-xsrc/portal/scripts/fetch_python_deps.sh8
2 files changed, 10 insertions, 0 deletions
diff --git a/src/portal/scripts/create_vendor.sh b/src/portal/scripts/create_vendor.sh
index 3dd8bc3..6af8598 100755
--- a/src/portal/scripts/create_vendor.sh
+++ b/src/portal/scripts/create_vendor.sh
@@ -1,5 +1,7 @@
#! /usr/bin/env sh
+set -e
+
python3 -m venv ./venv
source ./venv/bin/activate
diff --git a/src/portal/scripts/fetch_python_deps.sh b/src/portal/scripts/fetch_python_deps.sh
new file mode 100755
index 0000000..2f8e098
--- /dev/null
+++ b/src/portal/scripts/fetch_python_deps.sh
@@ -0,0 +1,8 @@
+#! /usr/bin/env sh
+
+git clone https://github.com/yt-dlp/yt-dlp.git --depth=1 yt-dlp
+git clone https://github.com/JustAnotherArchivist/snscrape.git --depth=1 snscrape
+git clone https://github.com/trevorhobenshield/twitter-api-client.git --depth=1 twitter-api-client
+git clone https://github.com/upbit/pixivpy.git --depth=1 pixivpy
+git clone https://github.com/subzeroid/instagrapi.git --depth=1 instagrapi
+git clone https://github.com/mikf/gallery-dl.git --depth=1 gallery-dl